dots.v2.droplets.byDroplet_id().actions.get()

Generated on 13 Nov 2026 from DoTs version v1.24.0

Usage

client.v2.droplets.byDroplet_id(droplet_id).actions.get(requestConfiguration?: RequestConfiguration<ActionsRequestBuilderGetQueryParameters>): Promise<undefined | ActionsGetResponse>

Description

To retrieve a list of all actions that have been executed for a Droplet, send a GET request to /v2/droplets/{droplet_id}/actions.

The results will be returned as a JSON object with an actions key. This will be set to an array filled with action objects containing the standard action attributes.

Parameters

Path Parameters

droplet_id integer required

Example: 3164444

A unique identifier for a Droplet instance.

Min: 1

Query Parameters

perPage integer optional

Example: 2

Number of items returned per page

Default: 20

Min: 1

Max: 200

page integer optional

Example: 1

Which 'page' of paginated results to return.

Default: 1

Min: 1

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.droplets
    .byDroplet_id(3164444).actions.get();

Pagination

This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page query parameter:

let response = await client.v2.droplets
    .byDroplet_id(3164444).actions.get();
let pages = response?.links?.pages;

while (pages && "next" in pages && typeof pages.next === "string") {
    const page = Number(new URL(pages.next).searchParams.get("page"));
    response = await client.v2.droplets
        .byDroplet_id(3164444).actions.get({
        queryParameters: {
            page,
        },
    });
    pages = response?.links?.pages;
}

Response Example

Show Response Example
{
  "actions": [
    {
      "id": 982864273,
      "status": "completed",
      "type": "create",
      "started_at": "2020-07-20T19:37:30Z",
      "completed_at": "2020-07-20T19:37:45Z",
      "resource_id": 3164444,
      "resource_type": "droplet",
      "region": {
        "name": "New York 3",
        "slug": "nyc3",
        "features": [
          "private_networking",
          "backups",
          "ipv6",
          "metadata",
          "install_agent",
          "image_transfer"
        ],
        "available": true,
        "sizes": [
          "s-1vcpu-1gb",
          "s-1vcpu-2gb",
          "s-3vcpu-1gb",
          "s-2vcpu-2gb",
          "s-1vcpu-3gb",
          "s-2vcpu-4gb",
          "s-4vcpu-8gb",
          "m-1vcpu-8gb",
          "s-6vcpu-16gb",
          "s-8vcpu-32gb",
          "s-12vcpu-48gb"
        ]
      },
      "region_slug": "nyc3"
    }
  ],
  "links": {},
  "meta": {
    "total": 1
  }
}

More Information

See /v2/droplets/{droplet_id}/actions in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.